package com.yunzhupaas.service;

import com.yunzhupaas.base.ActionResult;
import com.yunzhupaas.dto.InReadPaperDTO;
import com.yunzhupaas.dto.OutExamRecordsDetailDTO;
import com.yunzhupaas.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.model.trainexamrecords.*;
import java.util.*;

/**
 * 考试记录
 * 版本： V5.2.0
 * 版权： Copyright @ 2025
 * 作者： 浙江尖峰集团股份有限公司
 * 日期： 2024-11-06
 */
public interface TrainExamRecordsService extends SuperService<TrainExamRecordsEntity> {
    List<TrainExamRecordsEntity> getList(TrainExamRecordsPagination trainExamRecordsPagination);

    List<TrainExamRecordsEntity> getTypeList(TrainExamRecordsPagination trainExamRecordsPagination,String dataType);

    TrainExamRecordsEntity getInfo(String id);

    void delete(TrainExamRecordsEntity entity);

    void create(TrainExamRecordsEntity entity);

    boolean update(String id, TrainExamRecordsEntity entity);

	String checkForm(TrainExamRecordsForm form,int i);

    void saveOrUpdate(TrainExamRecordsForm trainExamRecordsForm,String id, boolean isSave) throws Exception;

    ActionResult<OutExamRecordsDetailDTO> examRecordsDetail(String id);

    ActionResult readPaper(InReadPaperDTO in);
}

